	.file	"main.c"
	.text
	.globl	init
	.type	init, @function
init:
.LFB2:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	call	init_wheel_speedometer
	call	init_engine_speedometer
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE2:
	.size	init, .-init
	.section	.rodata
	.align 8
.LC0:
	.string	"Wheel speed: %-12d\tEngine speed: %-12d\n"
	.align 8
.LC1:
	.string	"You're pushing things a bit too far."
	.text
	.globl	main
	.type	main, @function
main:
.LFB3:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	call	init
.L4:
	call	get_wheel_speed
	movl	%eax, -8(%rbp)
	call	get_engine_speed
	movl	%eax, -4(%rbp)
	movl	-4(%rbp), %edx
	movl	-8(%rbp), %eax
	movl	%eax, %esi
	movl	$.LC0, %edi
	movl	$0, %eax
	call	printf
	cmpl	$1070, -8(%rbp)
	jbe	.L3
	cmpl	$1300, -4(%rbp)
	jbe	.L3
	movl	$.LC1, %edi
	call	puts
.L3:
	movl	$1000000, %edi
	call	usleep
	jmp	.L4
	.cfi_endproc
.LFE3:
	.size	main, .-main
	.ident	"GCC: (Ubuntu 4.8.4-2ubuntu1~14.04) 4.8.4"
	.section	.note.GNU-stack,"",@progbits
